<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listPersons") label="Persons"]]
  [[> Partial:breadcrumbViewEntity entity="Person" urlparam="personiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="personiri" prefix="Person: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'personiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      alias_name='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/alias_name'
      birth='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/birth'
      death='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/death'
      floruit='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/floruit'
      role='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/role'
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      ismi_public='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_public'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      lived_in='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/lived_in'
      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
      notes_internal='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes_internal'
      mams_number='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/mams_number'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/person_record_type'
      record_type2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/person_record_type_2'
      name_arabic='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/preferred_name_arabic'
      name_translit='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/preferred_name_translit'
      reference='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference'
      student_of='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/student_of'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
      url='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/url'
    ]]"
    >

    <bs-tab-container 
      id="text-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key="[[#if (urlParam 'tab' )]][[urlParam 'tab']][[else]]description[[/if]]"
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>
            
            <bs-nav-item event-key="names">
              Names
            </bs-nav-item>

            <bs-nav-item event-key="biography">
              Biography
            </bs-nav-item>

            <bs-nav-item event-key="references">
              References
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label" languages='["ar-latn","en"]'>
              </semantic-form-text-input>
                      
              <semantic-form-text-input for="notes" multiline="true">
              </semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="names">
              <h3>Names</h3>

              <semantic-form-text-input for="name_arabic" languages='["ar"]'></semantic-form-text-input>

              <!-- <semantic-form-text-input for="name_translit" languages='["ar-latn"]'></semantic-form-text-input> -->
              <semantic-form-interactive-query-text-input for="name_translit"
                repository="ismi-romanization"
                query='PREFIX ir: <http://www.researchspace.com/resource/assets/Ontologies/IsmiRomanization#>
                  SELECT ?rom WHERE {
                    ?s ir:hasTranslit ?value .
                    ?s ir:hasRomanized ?rom .
                  }'
                resultprefix="Romanized: "
                languages='["ar-latn"]'></semantic-form-interactive-query-text-input>

              <semantic-form-composite-input for="alias_name"
                new-subject-template="/name/{{UUID}}"
                fields="[[fieldDefinitions
                  label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/name1'
                ]]"
              >
                <semantic-form-text-input for="label" languages='["ar-latn","ar","en"]'>
                </semantic-form-text-input>
              </semantic-form-composite-input>
            </bs-tab-pane>

            <bs-tab-pane event-key="biography">

              <semantic-form-composite-input for="birth"
                  new-subject-template="/birth"
                  fields="[[fieldDefinitions
                    date='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_ismi_date'
                    place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/took_place_at'
                  ]]">
                [[> Partial:formInputIsmiDate ]]
              	<semantic-form-select-input for="place" ></semantic-form-select-input>
              </semantic-form-composite-input>
  
              <semantic-form-composite-input for="death"
                  new-subject-template="/death"
                  fields="[[fieldDefinitions
                    date='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_ismi_date'
                    place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/took_place_at'
                  ]]">
                [[> Partial:formInputIsmiDate ]]
                <semantic-form-select-input for="place" ></semantic-form-select-input>
              </semantic-form-composite-input>

              <semantic-form-composite-input for="floruit"
                    new-subject-template="/floruit/{{UUID}}"
                    fields="[[fieldDefinitions
                      date='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_ismi_date'
                      place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/took_place_at'
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                    ]]">
                [[> Partial:formInputIsmiDate ]]
                <semantic-form-select-input for="place" ></semantic-form-select-input>
                <semantic-form-text-input for="ismi_id" readonly="true" 
                  default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>

              <semantic-form-select-input for="lived_in"></semantic-form-select-input>

              <semantic-form-select-input for="student_of" ></semantic-form-select-input>
              
              <semantic-form-select-input for="role" ></semantic-form-select-input>
            </bs-tab-pane>

            <bs-tab-pane event-key="references">
            
              <semantic-form-text-input for="mams_number"></semantic-form-text-input>
              <semantic-form-text-input for="url"></semantic-form-text-input>
              
              <semantic-form-composite-input for="reference"
                    new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/reference/{{UUID}}"
                    fields="[[fieldDefinitions
                      item='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_item'
                      note='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_note'
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                    ]]">
                <semantic-form-autocomplete-input for="item"></semantic-form-autocomplete-input>
                <semantic-form-text-input for="note"></semantic-form-text-input>
                <semantic-form-text-input for="ismi_id" readonly="true" 
                  default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal information</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-checkbox-input for="ismi_public"></semantic-form-checkbox-input>
              <semantic-form-text-input for="notes_internal" multiline="true"></semantic-form-text-input>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>
              <semantic-form-text-input for="record_type2"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editPerson")
                param="personiri"
                entityType="Person"
                redirect=(resolvePrefix ":listPersons")
              ]]

            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
